For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTClassify File (Sync)
      • POSTClassify File (Async)
      • GETGet Classify Run
      • POSTCancel Classify Run
      • DELDelete Classify Run
      • GETList Classify Runs
      • POSTCreate Classifier
      • GETGet Classifier
      • POSTUpdate Classifier
      • GETList Classifiers
      • POSTCreate Classifier Version
      • GETGet Classifier Version
      • GETList Classifier Versions
  • Webhook Events
LogoLogo
EndpointsClassify

Get Classifier Version

GET
/classifiers/:classifierId/versions/:versionId
GET
/classifiers/:classifierId/versions/:versionId
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.classifierVersions.retrieve("classifier_id_here", "draft");
1{
2 "object": "classifier_version",
3 "id": "clv_xK9mLPqRtN3vS8wF5hB2cQ",
4 "description": "Added new document types for Q4 processing",
5 "version": "draft",
6 "config": {
7 "classifications": [
8 {
9 "id": "my_unique_id",
10 "type": "invoice",
11 "description": "An invoice is a document that lists the items purchased and the total amount due."
12 }
13 ],
14 "baseProcessor": "classification_performance",
15 "baseVersion": "3.2.0",
16 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
17 "advancedOptions": {
18 "context": "default",
19 "advancedMultimodalEnabled": true,
20 "memoryEnabled": false,
21 "pageRanges": [
22 {
23 "start": 1,
24 "end": 10
25 },
26 {
27 "start": 20,
28 "end": 30
29 }
30 ]
31 },
32 "parseConfig": {
33 "target": "markdown",
34 "chunkingStrategy": {
35 "type": "page",
36 "options": {
37 "minCharacters": 500,
38 "maxCharacters": 10000
39 }
40 },
41 "engine": "parse_performance",
42 "engineVersion": "latest",
43 "blockOptions": {
44 "figures": {
45 "enabled": true,
46 "figureImageClippingEnabled": true,
47 "advancedChartExtractionEnabled": false
48 },
49 "tables": {
50 "targetFormat": "html",
51 "tableHeaderContinuationEnabled": false,
52 "cellBlocksEnabled": false,
53 "agentic": {
54 "enabled": false,
55 "customInstructions": "string"
56 },
57 "enabled": true
58 },
59 "text": {
60 "signatureDetectionEnabled": false,
61 "agentic": {
62 "enabled": false,
63 "customInstructions": "string"
64 }
65 },
66 "keyValue": {
67 "blankFieldFormattingEnabled": false
68 },
69 "barcodes": {
70 "imageClippingEnabled": false,
71 "readingEnabled": false
72 },
73 "formulas": {
74 "enabled": false
75 }
76 },
77 "advancedOptions": {
78 "pageRotationEnabled": true,
79 "pageRanges": [
80 {
81 "start": 1,
82 "end": 10
83 },
84 {
85 "start": 20,
86 "end": 30
87 }
88 ],
89 "excelParsingMode": "basic",
90 "excelSkipHiddenContent": false,
91 "excelUseRawCellValues": false,
92 "excelSkipCalculation": true,
93 "verticalGroupingThreshold": 1,
94 "returnOcr": {
95 "words": false
96 },
97 "alwaysConvertToPdf": false,
98 "enrichmentFormat": "xml",
99 "imageConversionQuality": "medium",
100 "formattingDetection": [
101 {
102 "type": "change_tracking"
103 }
104 ]
105 }
106 }
107 },
108 "classifierId": "cl_Xj8mK2pL9nR4vT7qY5wZ",
109 "createdAt": "2024-03-21T16:45:00Z"
110}
Retrieve a specific version of a classifier in Extend
Was this page helpful?
Previous

List Classifier Versions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

classifierIdstringRequired

The ID of the classifier.

Example: "cl_Xj8mK2pL9nR4vT7qY5wZ"

versionIdstringRequired
The version to retrieve. Accepts any of the following: - `"draft"` — returns the current draft version - `"latest"` — returns the latest published version (falls back to draft if none published) - A version number (e.g. `"0.1"`, `"1.0"`) — returns that specific published version - A version ID (e.g. `"clsv_QYk6jgHA_8CsO8rVWhyNC"`) — returns that specific version by ID

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully retrieved classifier version
objectenum

The type of object. Will always be "classifier_version".

Allowed values:
idstring

The unique identifier for this version of the classifier.

Example: "clv_xK9mLPqRtN3vS8wF5hB2cQ"

descriptionstring or null

A description of this version of the classifier.

Example: "Added new document types for Q4 processing"

versionstring

The version number or identifier for this specific version of the classifier. The draft version will have version=“draft”.

Examples: "1.0", "2.1", "draft"

configobject
The configuration settings for this version of the classifier.
classifierIdstring

The ID of the classifier that this version belongs to.

Example: "cl_Xj8mK2pL9nR4vT7qY5wZ"

createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

The version to retrieve. Accepts any of the following:

  • "draft" — returns the current draft version
  • "latest" — returns the latest published version (falls back to draft if none published)
  • A version number (e.g. "0.1", "1.0") — returns that specific published version
  • A version ID (e.g. "clsv_QYk6jgHA_8CsO8rVWhyNC") — returns that specific version by ID

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.